## ru.biosoft.plugins.jri
Class RConsole

    java.lang.Object
      ru.biosoft.plugins.jri.RConsole

    public class RConsole

extends java.lang.Object

Simple callback class implementation for R. TODO: this class needs refactoring

Constructor Summary
`RConsole()`

Method Summary
`void` | `clear()`
`java.lang.String` | `getMessage()`
`void` | `rBusy(Rengine re, int which)`
`java.lang.String` | `rChooseFile(Rengine re, int newFile)`
`void` | `rFlushConsole(Rengine re)`
`void` | `rLoadHistory(Rengine re, java.lang.String filename)`
`java.lang.String` | `rReadConsole(Rengine re, java.lang.String prompt, int addToHistory)`
`void` | `rSaveHistory(Rengine re, java.lang.String filename)`
`void` | `rShowMessage(Rengine re, java.lang.String message)`
`void` | `rWriteConsole(Rengine re, java.lang.String text, int oType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RConsole

    public RConsole()

Method Detail

### clear

    public void clear()

### getMessage

    public java.lang.String getMessage()

### rWriteConsole

    public void rWriteConsole(Rengine re,
                              java.lang.String text,
                              int oType)

### rBusy

    public void rBusy(Rengine re,
                      int which)

### rReadConsole

    public java.lang.String rReadConsole(Rengine re,
                                         java.lang.String prompt,
                                         int addToHistory)

### rShowMessage

    public void rShowMessage(Rengine re,
                             java.lang.String message)

### rChooseFile

    public java.lang.String rChooseFile(Rengine re,
                                        int newFile)

### rFlushConsole

    public void rFlushConsole(Rengine re)

### rLoadHistory

    public void rLoadHistory(Rengine re,
                             java.lang.String filename)

### rSaveHistory

    public void rSaveHistory(Rengine re,
                             java.lang.String filename)

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.